summaryrefslogtreecommitdiff
path: root/assets/css
diff options
context:
space:
mode:
Diffstat (limited to 'assets/css')
-rwxr-xr-xassets/css/compile.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/assets/css/compile.sh b/assets/css/compile.sh
index 72b18ec..f15c031 100755
--- a/assets/css/compile.sh
+++ b/assets/css/compile.sh
@@ -1,12 +1,13 @@
#!/bin/sh -e
HERE=$(dirname $(readlink -f ${0}));
-NODE=17.0.0-alpine3.14; # https://hub.docker.com/_/node
+NODE=16.13.1-alpine3.14; # https://hub.docker.com/_/node
cd ${HERE};
#===============================================================
docker run -v${HERE}:/x -w/x --rm -i node:${NODE} sh <<'EOF'
+set -e;
apk update;
apk upgrade;
apk add git;
@@ -15,7 +16,7 @@ apk add git;
cd /tmp;
git clone https://github.com/sass/sass.git;
cd sass;
-git checkout 7d3f10de38cd390c23f3f3b7f646f5095cf78a05;
+git checkout 72974e1ec9c5be247b3ebdfaff788c090dfcd12b;
npm audit fix;
npm install;
npm install -g sass;
@@ -34,6 +35,7 @@ mv theme.css src;
#===============================================================
docker run -u$(id -u):$(id -g) -v${HERE}:/x -w/x --rm -i node:${NODE} sh <<'EOF'
+set -e;
#===============================================================
npm install;